package com.judong.chuanyiserver.dao;

import com.judong.chuanyiserver.entity.Permission;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PermissionDao {

    Permission getPermissionByUrl(String permissionUrl);

    Integer addPermission(Permission permission);

    Permission getPermissionByNoIdUrl(int id, String permissionUrl);

    Integer updatePermission(Permission permission);

    Permission getPermissionById(Integer id);

    Long getPermissionCount(String permissionUrl, String permissionName);

    List<Permission> getPermissionListByPage(Long startNum, Long limitNum, String permissionUrl, String permissionName);

    Integer deletePermissionById(Integer id);

    Integer deleteMenuPermissionById(Integer permissionId);
}
